<?php
/**
 * @package SJ Super Category For K2
 * @version 1.0.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2015 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 *
 */

defined('_JEXEC') or die;
$small_image_config = array(
    'type' => $params->get('imgcfg_type'),
    'width' => $params->get('imgcfg_width'),
    'height' => $params->get('imgcfg_height'),
    'quality' => 90,
    'function' => ($params->get('imgcfg_function') == 'none') ? null : 'resize',
    'function_mode' => ($params->get('imgcfg_function') == 'none') ? null : substr($params->get('imgcfg_function'), 7),
    'transparency' => $params->get('imgcfg_transparency', 1) ? true : false,
    'background' => $params->get('imgcfg_background'));
$type_show = $params->get('type_show');
$nb_rows = $params->get('nb_rows');
$count = count($list);
$autoplay_timeout_s = ((int)$params->get('autoplay_timeout_s') > 0) ? (int)$params->get('autoplay_timeout_s') : 5000;
$autoplay_speed_s = ((int)$params->get('autoplay_speed_s') > 0) ? (int)$params->get('autoplay_speed_s') : 2000;
?>
<?php if ($type_show == 'slider') { ?>
    <div class="ltabs-items-inner owl-carousel ltabs-slider ">
<?php } ?>

<?php if (!empty($list)) {
    $app = JFactory::getApplication();
    $k = $app->input->getInt('ajax_reslisting_start', 0);
    $i = 0;
    $count = count($list);
	$options = $params->toObject();
	/*-----start for------*/
	foreach ($list as $item) {
        $i++;$k++; ?>
		<?php if($type_show == 'slider' && ($i % $nb_rows == 1 || $nb_rows == 1)) { ?>
			<div class="ltabs-item ">
		<?php }
		if ($type_show == 'loadmore'){ ?>
        <div class="ltabs-item new-ltabs-item">
		<?php } ?>
            <div class="item-inner">
               <?php $img = K2SuperCategoryHelper::getK2Image($item, $params);
					if ($img) {
				?>
				<div class="item-image">
					<?php echo K2SuperCategoryHelper::imageTag($img,$small_image_config); ?>
				</div>
					<?php } ?>
				<?php if ($options->item_title_display == 1 || $options->item_desc_display == 1 || ($item->tags != '') || $options->item_readmore_display == 1) { ?>
					<div class="item-info">
						<?php if ($options->item_title_display == 1) { ?>
							<div class="item-title">
								<a href="<?php echo $item->link; ?>"
								   title="<?php echo $item->title ?>" <?php echo K2SuperCategoryHelper::parseTarget($params->get('item_link_target')); ?>>
									<?php echo K2SuperCategoryHelper::truncate($item->title, $params->get('item_title_max_characs', 25)); ?>
								</a>
							</div>
						<?php } ?>
						<?php if (($options->item_desc_display == 1 && !empty($item->displayIntrotext)) || ($item->tags != '') || $options->item_readmore_display == 1) { ?>
							<div class="item-content">
								<?php if ($options->item_desc_display == 1) { ?>
									<div class="item-description">
										<?php echo $item->displayIntrotext; ?>
									</div>
								<?php } ?>

								<?php if ($item->tags != '') { ?>
									<div class="item-tags">
										<div class="tags">
											<?php $hd = -1;
											foreach ($item->tags as $tag): $hd++; ?>
												<span class="tag-<?php echo $tag->id . ' tag-list' . $hd; ?>">
													<a class="label label-info" href="<?php echo $tag->link; ?>"
											            title="<?php echo $tag->name; ?>" target="_blank">
															<?php echo $tag->name; ?>
													</a>
												</span>
											<?php endforeach; ?>
										</div>
									</div>
								<?php } ?>
								<?php if ($options->item_readmore_display == 1) { ?>
									<div class="item-readmore">
										<a href="<?php echo $item->link; ?>"
										   title="<?php echo $item->title ?>" <?php echo K2SuperCategoryHelper::parseTarget($params->get('item_link_target')); ?>>
											<?php echo $options->item_readmore_text; ?>
										</a>
									</div>
								<?php } ?>
							</div>
						<?php } ?>
					</div>
				<?php } ?>
            </div>
		<?php if($type_show == 'slider' && ($i % $nb_rows == 0 || $i == $count)) { ?>
        </div>
    <?php }
    if ($type_show == 'loadmore'){ ?>
    </div>
    <?php }
         if($type_show == 'loadmore'){
        $clear = 'clr1';
        if ($k % 2 == 0) $clear .= ' clr2';
        if ($k % 3 == 0) $clear .= ' clr3';
        if ($k % 4 == 0) $clear .= ' clr4';
        if ($k % 5 == 0) $clear .= ' clr5';
        if ($k % 6 == 0) $clear .= ' clr6';
        ?>
        <div class="<?php echo $clear; ?>"></div>
        <?php } ?>
    <?php
    } ?>
    <!--end for-->

<?php
}else{
	echo 'Has no content to show!.';
}?>


<?php if ($type_show == 'slider') { ?>
    </div>
<?php } ?>

<?php if ($type_show == 'slider') { ?>
    <script type="text/javascript">
        jQuery(document).ready(function($){
            var $tag_id = $('#sj_super_category_<?php echo $module->id; ?>'),
                parent_active = 	$('.ltabs-items-selected', $tag_id),
                total_product = <?php echo round($count/$nb_rows) ;?>,
                tab_active = $('.ltabs-items-inner',parent_active),
                nb_column1 = <?php echo $params->get('nb-column1'); ?>,
                nb_column2 = <?php echo $params->get('nb-column2'); ?>,
                nb_column3 = <?php echo $params->get('nb-column3'); ?>,
                nb_column4 = <?php echo $params->get('nb-column4'); ?>;
            console.log(parent_active);
            tab_active.owlCarousel({
                nav: <?php echo $params->get('display_nav_s') ; ?>,
                dots: false,
                margin: 0,
                loop:  <?php echo $params->get('display_loop_s') ; ?>,
                autoplay: <?php echo $params->get('autoplay_s'); ?>,
                autoplayHoverPause: <?php echo $params->get('pausehover_s') ; ?>,
                autoplayTimeout: <?php echo $autoplay_timeout_s ; ?>,
                autoplaySpeed: <?php echo $autoplay_speed_s ; ?>,
                mouseDrag: <?php echo  $params->get('mousedrag_s'); ?>,
                touchDrag: <?php echo $params->get('touchdrag_s'); ?>,
                navRewind: true,
                navText: [ '', '' ],
                responsive: {
                    0: {
                        items: nb_column4,
                        nav: total_product <= nb_column4 ? false : ((<?php echo $params->get('display_nav_s') ; ?>) ? true: false),
                    },
                    480: {
                        items: nb_column3,
                        nav: total_product <= nb_column3 ? false : ((<?php echo $params->get('display_nav_s') ; ?>) ? true: false),
                    },
                    768: {
                        items: nb_column2,
                        nav: total_product <= nb_column2 ? false : ((<?php echo $params->get('display_nav_s') ; ?>) ? true: false),
                    },
                    1200: {
                        items: nb_column1,
                        nav: total_product <= nb_column1 ? false : ((<?php echo $params->get('display_nav_s') ; ?>) ? true: false),
                    },
                }
            });

        });
    </script>
<?php } ?>