<?php
/**
 * @package SJ Listing Tabs For K2
 * @version 1.0.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2014 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 *
 */

defined('_JEXEC') or die;

require_once dirname(__FILE__) . '/core/helper.php';

$layout = $params->get('layout', 'default');
$is_ajax = !empty($_SERVER['HTTP_X_REQUESTED_WITH']) && strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) == 'xmlhttprequest';
$is_ajax = $is_ajax || JRequest::getInt('is_ajax_listing_tabs', 0);
if ($is_ajax) {
    $listing_tabs_moduleid = JRequest::getVar('listing_tabs_moduleid', null);
    if ($listing_tabs_moduleid == $module->id) {
        $list = K2SuperCategoryHelper::getList($params,$cgid = -1,$count = 0,$tab_all_display = 1);
        $result = new stdClass();
        ob_start();
        require JModuleHelper::getLayoutPath($module->module, $layout . '_items');
        $buffer = ob_get_contents();
        $result->items_markup = preg_replace(
            array(
                '/ {2,}/',
                '/<!--.*?-->|\t|(?:\r?\n[ \t]*)+/s'
            ),
            array(
                ' ',
                ''
            ),
            $buffer
        );
        ob_end_clean();
        die (json_encode($result));
    }
} else {
    $cat  = K2SuperCategoryHelper::categoriesTree($params);
    $list = K2SuperCategoryHelper::getList($params);
    $tabs = K2SuperCategoryHelper::getItemsInfor($params);
    $catparent = K2SuperCategoryHelper::getCategoriesparent($params);

    require JModuleHelper::getLayoutPath($module->module, $layout);
    require JModuleHelper::getLayoutPath($module->module, $layout . '_js');
}

?>
